Bug 93324 - New port: databases/jakarta-commons-dbutils a set of classes designed to make working with JDBC easier
Summary: New port: databases/jakarta-commons-dbutils a set of classes designed to make...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-14 08:50 UTC by Michael Winking
Modified: 2006-02-16 15:47 UTC (History)
1 user (show)

See Also:


Attachments
jakarta-commons-dbutils.shar (4.39 KB, text/plain)
2006-02-14 08:50 UTC, Michael Winking
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Winking 2006-02-14 08:50:08 UTC
	New port: databases/jakarta-commons-dbutils a set of classes designed to make working with JDBC  easier

How-To-Repeat: 	N/A
Comment 1 Herve Quiroz freebsd_committer 2006-02-14 10:21:52 UTC
State Changed
From-To: open->feedback

Same as for PR 93322 regarding Ant support: 

- No need to register Ant in BUILD_DEPENDS once you set USE_ANT 
- "-cp <jarfile>" should be passed through MAKE_ARGS 

Moreover: 

- The patch should contain a short description of its purpose in its header 



Comment 2 Herve Quiroz freebsd_committer 2006-02-14 10:21:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 3 mikwin 2006-02-14 13:24:50 UTC
Hi, I made the requested modifications.

Could you please cc: your answer to mwfp@foldl.net since gnats has for
some reason changed my originator address and I won't receive an answer
(I have already mailed bugmeister@freebsd.org to find out why this has
happened)

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	jakarta-commons-dbutils
#	jakarta-commons-dbutils/files
#	jakarta-commons-dbutils/files/patch-build.xml
#	jakarta-commons-dbutils/pkg-descr
#	jakarta-commons-dbutils/Makefile
#	jakarta-commons-dbutils/distinfo
#
echo c - jakarta-commons-dbutils
mkdir -p jakarta-commons-dbutils > /dev/null 2>&1
echo c - jakarta-commons-dbutils/files
mkdir -p jakarta-commons-dbutils/files > /dev/null 2>&1
echo x - jakarta-commons-dbutils/files/patch-build.xml
sed 's/^X//' >jakarta-commons-dbutils/files/patch-build.xml <<
'END-of-jakarta-commons-dbutils/files/patch-build.xml'
X# use installed junit, instead of unnecessarily downloading and and
building a custom one (which didn't work anyway)
X*** build.xml.old	Sun Jan  1 09:43:41 2006
X--- build.xml	Sun Jan  1 09:32:51 2006
X***************
X*** 139,152 ****
X      </javadoc>
X    </target>
X    <target name="get-deps" unless="noget" depends="init">
X-     <get dest="${libdir}/junit-3.8.1.jar" usetimestamp="true"
ignoreerrors="true"
src="http://www.ibiblio.org/maven/junit/jars/junit-3.8.1.jar">
X-     </get>
X-     <get dest="${libdir}/junit-3.8.1.jar" usetimestamp="true"
ignoreerrors="true"
src="http://www.ibiblio.org/maven/junit/jars/junit-3.8.1.jar">
X-     </get>
X-     <get dest="${libdir}/ant-1.5.jar" usetimestamp="true"
ignoreerrors="true"
src="http://www.ibiblio.org/maven/ant/jars/ant-1.5.jar">
X-     </get>
X-     <get dest="${libdir}/ant-optional-1.5.jar" usetimestamp="true"
ignoreerrors="true"
src="http://www.ibiblio.org/maven/ant/jars/ant-optional-1.5.jar">
X-     </get>
X    </target>
X    <target name="install-maven">
X      <get dest="${user.home}/maven-install-latest.jar"
usetimestamp="true" src="${repo}/maven/maven-install-latest.jar">
X--- 139,144 ----
END-of-jakarta-commons-dbutils/files/patch-build.xml
echo x - jakarta-commons-dbutils/pkg-descr
sed 's/^X//' >jakarta-commons-dbutils/pkg-descr <<
'END-of-jakarta-commons-dbutils/pkg-descr'
XDbUtils is a small set of classes designed to make working with JDBC
easier.
XJDBC resource cleanup code is mundane, error prone work so these
classes
Xabstract out all of the cleanup tasks from your code leaving you with
what
Xyou really wanted to do with JDBC in the first place: query and update
data.
X
XWWW: http://jakarta.apache.org/commons/dbutils/
END-of-jakarta-commons-dbutils/pkg-descr
echo x - jakarta-commons-dbutils/Makefile
sed 's/^X//' >jakarta-commons-dbutils/Makefile <<
'END-of-jakarta-commons-dbutils/Makefile'
X# Ports collection makefile for:	Jakarta Commons DbUtils
X# Date created:			14 Feb 2006
X# Whom:				Michael Winking <mwfp@foldl.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	commons-dbutils
XPORTVERSION=	1.0
XCATEGORIES=	databases java
XMASTER_SITES=	${MASTER_SITE_APACHE_JAKARTA}
XMASTER_SITE_SUBDIR=	commons/dbutils/source
XPKGNAMEPREFIX=	jakarta-
XDISTNAME=	${PORTNAME}-${PORTVERSION}-src
X
XMAINTAINER=	mwfp@foldl.net
XCOMMENT=	DbUtils is a JDBC helper library
X
XBUILD_DEPENDS=	${JAVAJARDIR}/junit.jar:${PORTSDIR}/java/junit
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.3+
XUSE_ANT=	yes
X
XMAKE_ARGS=	-cp ${JAVAJARDIR}/junit.jar
XALL_TARGET=	dist
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
XPLIST_FILES=	%%JAVAJARDIR%%/${PORTNAME}.jar
X
X.if !defined(NOPORTDOCS)
XPORTDOCS=	LICENSE.txt api
X.endif
X
Xdo-install:
X	@${ECHO_MSG} -n ">> Installing JAR file as
${JAVAJARDIR}/${PORTNAME}.jar..."
X# strangely the jar archive from a 1.0 build contains 1.1 as version
number
X	@${INSTALL_DATA} ${WRKSRC}/dist/commons-dbutils-1.1-dev.jar \
X		${JAVAJARDIR}/${PORTNAME}.jar
X
X	@${ECHO_MSG} " [DONE]"
X.if !defined(NOPORTDOCS)
X	@${ECHO_MSG} -n ">> Installing documentation..."
X	@${MKDIR} ${DOCSDIR}
X	@cd ${WRKSRC}/dist/docs && ${FIND} api \
X	  | ${CPIO} -pdmu -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR} > /dev/null
2>&1
X	@${INSTALL_DATA} ${WRKSRC}/dist/LICENSE.txt \
X		${DOCSDIR}/
X	@${ECHO_MSG} " [DONE]"
X.endif
X
X.include <bsd.port.mk>
END-of-jakarta-commons-dbutils/Makefile
echo x - jakarta-commons-dbutils/distinfo
sed 's/^X//' >jakarta-commons-dbutils/distinfo <<
'END-of-jakarta-commons-dbutils/distinfo'
XMD5 (commons-dbutils-1.0-src.tar.gz) = 811b2d6e5c8c519c6196464ab89252a9
XSHA256 (commons-dbutils-1.0-src.tar.gz) =
6bf5376457ca201d9086cd42d16a026ba0d2254912517bbbfeea64e806dd41a2
XSIZE (commons-dbutils-1.0-src.tar.gz) = 28707
END-of-jakarta-commons-dbutils/distinfo
exit
Comment 4 Michael Winking 2006-02-14 15:46:37 UTC
Here it is.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	jakarta-commons-dbutils
#	jakarta-commons-dbutils/files
#	jakarta-commons-dbutils/files/patch-build.xml
#	jakarta-commons-dbutils/pkg-descr
#	jakarta-commons-dbutils/Makefile
#	jakarta-commons-dbutils/distinfo
#
echo c - jakarta-commons-dbutils
mkdir -p jakarta-commons-dbutils > /dev/null 2>&1
echo c - jakarta-commons-dbutils/files
mkdir -p jakarta-commons-dbutils/files > /dev/null 2>&1
echo x - jakarta-commons-dbutils/files/patch-build.xml
sed 's/^X//' >jakarta-commons-dbutils/files/patch-build.xml << 'END-of-jakarta-commons-dbutils/files/patch-build.xml'
X# use installed junit, instead of unnecessarily downloading and and building a custom one (which didn't work anyway)
X*** build.xml.old	Sun Jan  1 09:43:41 2006
X--- build.xml	Sun Jan  1 09:32:51 2006
X***************
X*** 139,152 ****
X      </javadoc>
X    </target>
X    <target name="get-deps" unless="noget" depends="init">
X-     <get dest="${libdir}/junit-3.8.1.jar" usetimestamp="true" ignoreerrors="true" src="http://www.ibiblio.org/maven/junit/jars/junit-3.8.1.jar">
X-     </get>
X-     <get dest="${libdir}/junit-3.8.1.jar" usetimestamp="true" ignoreerrors="true" src="http://www.ibiblio.org/maven/junit/jars/junit-3.8.1.jar">
X-     </get>
X-     <get dest="${libdir}/ant-1.5.jar" usetimestamp="true" ignoreerrors="true" src="http://www.ibiblio.org/maven/ant/jars/ant-1.5.jar">
X-     </get>
X-     <get dest="${libdir}/ant-optional-1.5.jar" usetimestamp="true" ignoreerrors="true" src="http://www.ibiblio.org/maven/ant/jars/ant-optional-1.5.jar">
X-     </get>
X    </target>
X    <target name="install-maven">
X      <get dest="${user.home}/maven-install-latest.jar" usetimestamp="true" src="${repo}/maven/maven-install-latest.jar">
X--- 139,144 ----
END-of-jakarta-commons-dbutils/files/patch-build.xml
echo x - jakarta-commons-dbutils/pkg-descr
sed 's/^X//' >jakarta-commons-dbutils/pkg-descr << 'END-of-jakarta-commons-dbutils/pkg-descr'
XDbUtils is a small set of classes designed to make working with JDBC easier.
XJDBC resource cleanup code is mundane, error prone work so these classes
Xabstract out all of the cleanup tasks from your code leaving you with what
Xyou really wanted to do with JDBC in the first place: query and update data.
X
XWWW: http://jakarta.apache.org/commons/dbutils/
END-of-jakarta-commons-dbutils/pkg-descr
echo x - jakarta-commons-dbutils/Makefile
sed 's/^X//' >jakarta-commons-dbutils/Makefile << 'END-of-jakarta-commons-dbutils/Makefile'
X# Ports collection makefile for:	Jakarta Commons DbUtils
X# Date created:			14 Feb 2006
X# Whom:				Michael Winking <mwfp@foldl.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	commons-dbutils
XPORTVERSION=	1.0
XCATEGORIES=	databases java
XMASTER_SITES=	${MASTER_SITE_APACHE_JAKARTA}
XMASTER_SITE_SUBDIR=	commons/dbutils/source
XPKGNAMEPREFIX=	jakarta-
XDISTNAME=	${PORTNAME}-${PORTVERSION}-src
X
XMAINTAINER=	mwfp@foldl.net
XCOMMENT=	DbUtils is a JDBC helper library
X
XBUILD_DEPENDS=	${JAVAJARDIR}/junit.jar:${PORTSDIR}/java/junit
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.3+
XUSE_ANT=	yes
X
XMAKE_ARGS=	-cp ${JAVAJARDIR}/junit.jar
XALL_TARGET=	dist
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
XPLIST_FILES=	%%JAVAJARDIR%%/${PORTNAME}.jar
X
X.if !defined(NOPORTDOCS)
XPORTDOCS=	LICENSE.txt api
X.endif
X
Xdo-install:
X	@${ECHO_MSG} -n ">> Installing JAR file as ${JAVAJARDIR}/${PORTNAME}.jar..."
X# strangely the jar archive from a 1.0 build contains 1.1 as version number
X	@${INSTALL_DATA} ${WRKSRC}/dist/commons-dbutils-1.1-dev.jar \
X		${JAVAJARDIR}/${PORTNAME}.jar
X
X	@${ECHO_MSG} " [DONE]"
X.if !defined(NOPORTDOCS)
X	@${ECHO_MSG} -n ">> Installing documentation..."
X	@${MKDIR} ${DOCSDIR}
X	@cd ${WRKSRC}/dist/docs && ${FIND} api \
X	  | ${CPIO} -pdmu -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR} > /dev/null 2>&1
X	@${INSTALL_DATA} ${WRKSRC}/dist/LICENSE.txt \
X		${DOCSDIR}/
X	@${ECHO_MSG} " [DONE]"
X.endif
X
X.include <bsd.port.mk>
END-of-jakarta-commons-dbutils/Makefile
echo x - jakarta-commons-dbutils/distinfo
sed 's/^X//' >jakarta-commons-dbutils/distinfo << 'END-of-jakarta-commons-dbutils/distinfo'
XMD5 (commons-dbutils-1.0-src.tar.gz) = 811b2d6e5c8c519c6196464ab89252a9
XSHA256 (commons-dbutils-1.0-src.tar.gz) = 6bf5376457ca201d9086cd42d16a026ba0d2254912517bbbfeea64e806dd41a2
XSIZE (commons-dbutils-1.0-src.tar.gz) = 28707
END-of-jakarta-commons-dbutils/distinfo
exit
Comment 5 Herve Quiroz freebsd_committer 2006-02-16 15:46:35 UTC
State Changed
From-To: feedback->closed

Patch commited with some modifications: 

- JAVAJARDIR -> JAVALIBDIR 
- Tweak COMMENT 
- Calm portlint 

Thanks for your contribution!